View Issue Details

IDProjectCategoryView StatusLast Update
0003873DraftBugpublic2019-07-16 11:57
ReporteruwestoehrAssigned Touwestoehr 
PrioritynormalSeveritytextReproducibilityalways
Status closedResolutionfixed 
Product Version0.18 
Target VersionFixed in Version0.19 
Summary0003873: missing tooltips in the Draft preferences
DescriptionThis bug collects missing and unclear tooltips in the Draft preferences.
Missing or incomplete tooltips will be denoted in the Wiki page:
https://www.freecadweb.org/wiki/Preferences_Editor
as '??' until information is available. If so, I will post them to this bug report to be implemented in form of tooltips.

In the DWG preferences:

The following tooltip has a typo:
- Path to ODA (formerly Teigha) File Converter -> should be "Path to ODA file converter"
(no capitals and the renaming was done 5 years a go so no need to mention it anymore)

More tooltips will be reported the next days.
Tags#lowhangingfruit, tooltips

Activities

uwestoehr

2019-03-01 23:39

developer   ~0012819

In the DXF preferences:

Probably outdated are the tooltips for:
- Use legacy python importer -> is the new C++ importer still really not as feature-rich that it is worth to mention this?
- Allow FreeCAD to automatically download and update the DXF libraries -> I did not need to install anything to import DXF file or did FC only not tell me? Moreover, the existing tooltip has wrong HTML paragraph breaks in is.
- Group layers into blocks -> in the Draft Wiki pages a feature or property named Draft Block is nowhere mentioned.
- Treat ellipses and splines as polylines -> Are ellipses and splines still poorly supported?

Typos are in:
- Allow FreeCAD to automatically download and update the DXF libraries -> wrong HTML paragraph breaks
- Join geometry -> should be: "If checked, FreeCAD will try to join coincident objects into wires. Beware, this can take a while."
- Treat ellipses and splines as polylines -> should be: "Ellipse and spline export is poorly supported. Use this to export them as polylines instead."
- Max Spline Segment: -> should be: "When exporting splines to DXF as polylines this value is the maximum length of each of the polyline segments. If 0, then the whole spline is treated as a straight segment."
- Export 3D objects as polyface meshes -> should be: "If this is checked, all objects containing faces will be exported as 3D polyfaces"
- Export Drawing Views as blocks -> should be: "If this is checked, drawing views will be exported as blocks. This might fail for post DXF-R12 templates."

uwestoehr

2019-03-02 18:55

developer   ~0012820

Last edited: 2019-03-02 18:58

View 2 revisions

In the SVG preferences:

These tooltips miss information:
- Import style -> The tooltip doesn't tell that this also affects the line width.
- Export style -> It is unclear what the difference between "Translated (for print & display)" and "Raw (for CAM)" is.

Probably outdated is the tooltip for:
- Max segment length for discretized arcs -> the tooltip doesn't say what OCC version does not support arcs. Maybe all recent OCC versions support arcs so that this option is no longer necessary?

Typos are in:
- Use default color and linewidth -> should be: "Use default color and line width" (there is a space in "line width")
- Original color and linewidth -> should be: "Original color and line width"
- Max segment length for discretized arcs -> The tooltip is too long, so a line break '\n' is missing. It should also read: "...version of Open CASCADE doesn't support..."

For reference about missing info for the Draft tooltips see https://www.freecadweb.org/wiki/Preferences_Editor#Import-Export_settings

uwestoehr

2019-07-16 00:26

developer   ~0013349

This PR will fix the issue: https://github.com/FreeCAD/FreeCAD/pull/2347

Related Changesets

FreeCAD: master 47034953

2019-07-16 00:22:19

donovaly


Committer: wmayer Details Diff
update, fix and uniform draft tooltips Affected Issues
0003873
mod - src/Mod/Draft/Resources/ui/preferences-dwg.ui Diff File
mod - src/Mod/Draft/Resources/ui/preferences-dxf.ui Diff File
mod - src/Mod/Draft/Resources/ui/preferences-svg.ui Diff File

Issue History

Date Modified Username Field Change
2019-02-28 23:42 uwestoehr New Issue
2019-03-01 23:39 uwestoehr Note Added: 0012819
2019-03-02 18:55 uwestoehr Note Added: 0012820
2019-03-02 18:58 uwestoehr Note Edited: 0012820 View Revisions
2019-03-06 21:00 uwestoehr Tag Attached: tooltips
2019-03-31 14:20 Kunda1 Tag Attached: #lowhangingfruit
2019-07-16 00:26 uwestoehr Note Added: 0013349
2019-07-16 11:54 wmayer Changeset attached => FreeCAD master 47034953
2019-07-16 11:57 wmayer Assigned To => uwestoehr
2019-07-16 11:57 wmayer Status new => closed
2019-07-16 11:57 wmayer Resolution open => fixed
2019-07-16 11:57 wmayer Fixed in Version => 0.19